
Digitale Infrastruktur - kanban #5073

kanban # 5109 (k_backlog): Upgrade Redmine

Alternative für git Hosting

15 April 2013 12:30 - corvus

Status: k_backlog Start date: 15 April 2013

Priority: High Due date: 12 May 2013

Assignee: corvus % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Unser aktuelles Git-Server set up arbeitet mit Software welche seit über zwei Jahren nicht mehr gepflegt wurde.

Im Rahmen der Servermigration und auf grund der Tatsache, dass die aktuelle Lösung derzeit nicht mehr vollständig funktioniert (

#4857), müssen wir eine Alternative finden und implementieren.

Related issues:

Related to Digitale Infrastruktur - Bug / Feature #4857: Redmine aktualisiert... Closed 16 March 2013 28 April 2013

Related to Digitale Infrastruktur - Bug / Feature #5124: Redmine Gitosis plugin Won't Do 21 April 2013 21 May 2013

History

#1 - 18 April 2013 12:40 - admin

- Status changed from New to Needs Work

Automatically changed from new state after 3 days

#2 - 21 April 2013 15:18 - corvus

- Parent task set to #5109

#3 - 21 April 2013 15:26 - corvus

Gitolite scheint im Grunde genommen gleich wie Gitosis (Nachfolger?) zu funktionieren. So wie es scheint kann damit die gleiche Integration in

Redmine erreicht werden wie aktuell.

Git Server

http://git-scm.com/book/de/Git-auf-dem-Server-Gitolite

https://github.com/sitaramc/gitolite

Redmine Integration

http://www.redmine.org/plugins/redmine-gitolite

https://github.com/jbox-web/redmine_git_hosting

#4 - 28 April 2013 18:24 - oschad

Oder so etwas:

http://gitlab.org/

#5 - 05 May 2013 19:48 - oschad

- Tracker changed from Task / Tâche to kanban

- Status changed from Needs Work to k_backlog

- Priority changed from Normal to High
